> ## Documentation Index
> Fetch the complete documentation index at: https://developers.quotivity.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Price Book Entries

> Deletes multiple product prices from a price book



## OpenAPI

````yaml swagger.json delete /pricebooks/{priceBookId}/prices
openapi: 3.0.0
info:
  title: Quotivity API
  description: Developer APIs for the Quotivity CPQ platform.
  version: 1.0.0
servers:
  - url: https://api.secure.quotivity.com/v1
    description: Production API Server
security: []
paths:
  /pricebooks/{priceBookId}/prices:
    delete:
      summary: Delete Price Book Entries
      description: Deletes multiple product prices from a price book
      parameters:
        - name: priceBookId
          in: path
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: array
              items:
                type: string
      responses:
        '204':
          description: Prices deleted successfully
        '401':
          description: Unauthorized
        '404':
          description: Price book not found
        '500':
          description: Internal Server Error
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````